name: farm_tpf
description: A new Flutter project.

publish_to: 'none'
version: 1.1.5+20

environment:
  sdk: ">=2.17.0 <=3.0.0"

module:
  androidX: true

dependency_overrides:
  platform: ^3.1.0

dependencies:
  flutter:
    sdk: flutter
    
  cupertino_icons: ^1.0.6
  meta: ^1.1.8
  shared_preferences: ^2.0.5
  flutter_bloc: ^7.0.0
  equatable: ^2.0.5
  dio: ^4.0.0
  dio_http_cache: ^0.3.0
  formz: ^0.6.1
  keyboard_dismisser: ^3.0.0
  pattern_formatter: ^3.0.0
  rxdart: ^0.27.7
  # barcode_scan: ^3.0.1
  # video_player: ^0.10.11+2
  shimmer: ^3.0.0
  # font_awesome_flutter: ^10.6.0
  package_info_plus: ^4.2.0
  change_app_package_name: ^1.1.0
  #flutter pub run change_app_package_name:main vn.azteam.farmdemo
  firebase_messaging: ^14.7.0
  get: ^4.1.2
  intl: ^0.18.1
  flutter_datetime_picker: ^1.5.1
  # http: ^1.1.0
  http_parser: ^4.0.2
  rflutter_alert: ^2.0.7
  badges: ^2.0.0
  cached_network_image: ^3.2.0
  auto_size_text: ^3.0.0
  group_radio_button: ^1.3.0

  camera: ^0.10.5+5
  path_provider: any
  file_picker: any
  # flutter_cache_manager: ^1.4.2

  mime: ^1.0.4
  flutter_image_compress: ^2.1.0
  flutter_svg: ^0.20.0-nullsafety.3
  # google_fonts: ^6.1.0
  # ffi: ^1.0.0
  qr_code_scanner: ^1.0.1
  loading_indicator: ^3.0.1
  hive: ^2.1.0
  flutter_screenutil: ^5.5.3+2
  toggle_switch: ^2.0.1
  flutter_switch: ^0.3.2
  image_picker: ^0.8.3+2
  modal_bottom_sheet: ^3.0.0-pre

dev_dependencies:
  flutter_test:
    sdk: flutter
  #flutter packages pub run build_runner build --delete-conflicting-outputs
  retrofit_generator: any
  # flutter packages pub run json_model
  # json_model: ^0.0.2
  # build_runner: any
  # json_serializable: any
  
flutter:
  uses-material-design: true
  assets:
    - assets/svg/
    - assets/png/
  fonts:
    - family: Toyota
      fonts:
        - asset: assets/fonts/sf-pro-text-regular.ttf
          weight: 400
        - asset: assets/fonts/sf-pro-text-semibold.ttf
          weight: 600
        - asset: assets/fonts/sf-pro-text-bold.ttf
          weight: 700
        - asset: assets/fonts/sf-pro-text-bold.ttf
          weight: 800